# Uses of Interface
nu.validator.htmlparser.common.CharacterHandler

Packages that use CharacterHandler
Package
Description
nu.validator.htmlparser.dom
This package provides an HTML5 parser that exposes the document using the DOM API.
nu.validator.htmlparser.extra
nu.validator.htmlparser.io
nu.validator.htmlparser.sax
This package provides an HTML5 parser that exposes the document through the SAX API.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of CharacterHandler in nu.validator.htmlparser.dom

Methods in nu.validator.htmlparser.dom with parameters of type CharacterHandler
Modifier and Type
Method
Description
`void`
HtmlDocumentBuilder.`addCharacterHandler(CharacterHandler characterHandler)`

## Uses of CharacterHandler in nu.validator.htmlparser.extra

Classes in nu.validator.htmlparser.extra that implement CharacterHandler
Modifier and Type
Class
Description
`final class`
`NormalizationChecker`

## Uses of CharacterHandler in nu.validator.htmlparser.io

Methods in nu.validator.htmlparser.io with parameters of type CharacterHandler
Modifier and Type
Method
Description
`void`
Driver.`addCharacterHandler(CharacterHandler characterHandler)`

## Uses of CharacterHandler in nu.validator.htmlparser.sax

Methods in nu.validator.htmlparser.sax with parameters of type CharacterHandler
Modifier and Type
Method
Description
`void`
HtmlParser.`addCharacterHandler(CharacterHandler characterHandler)`

## Uses of CharacterHandler in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom with parameters of type CharacterHandler
Modifier and Type
Method
Description
`void`
HtmlBuilder.`addCharacterHandler(CharacterHandler characterHandler)`